查询利润报表(旧) - 结算明细
POST
/erp/sc/routing/finance/ProfitState/profitSettlement支持查询系统【财务】>【利润报表】>【结算明细】数据
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/finance/ProfitState/profitSettlement | HTTPS | POST | 1 |
请求参数
sidsstring必填start_datestring必填end_datestring必填currency_typeinteger必填send_date_startstringsend_date_endstringoffsetinteger必填lengthinteger必填返回结果
Json Object
codeinteger必填msgstring必填totalinteger必填listarray<object>必填隐藏子属性
sidinteger必填is_to_bstring必填send_datestring必填date_localestring必填date_monthstring必填typenumber必填type_strstring必填seller_namestring必填order_idstring必填mskustring必填description_strstring必填asinstring必填iconstring必填currency_codestring必填bidnumber必填cidnumber必填local_skustring必填local_namestring必填settlement_idstring必填marketplace_feestring必填fulfillmentstring必填quantitynumber必填product_salesnumber必填shipping_creditsnumber必填gift_wrap_creditsnumber必填promotional_rebatesnumber必填amazon_point_feenumber必填sales_tax_collectednumber必填marketplace_facilitator_taxnumber必填selling_feesnumber必填fba_feesnumber必填other_transaction_feesnumber必填othernumber必填totalnumber必填small_image_urlstring必填asin_urlstring必填category_textstring必填product_brand_textstring必填marketplacestring必填cg_pricestring必填cg_transport_costsstring必填返回成功示例
{
"code": 1,
"msg": "操作成功",
"total": 1762056,
"list": [
{
"sid": 1,
"msku": "HPGEBH081AB-USAE2",
"is_to_b": 0,
"date_locale": "2019-05-01",
"date_month": "2019-05",
"type": 1,
"type_str": "Order",
"order_id": "111-3732700-8306627",
"description_str": "Bluetooth FM Transmitter for Car",
"settlement_id": "11778946301",
"marketplace_fee": "amazon.com",
"fulfillment": "Amazon",
"quantity": 1,
"product_sales": 17.99,
"shipping_credits": 0,
"gift_wrap_credits": 0,
"promotional_rebates": 0,
"amazon_point_fee": 0,
"sales_tax_collected": 0,
"marketplace_facilitator_tax": 0,
"selling_fees": -2.7,
"fba_fees": -3.28,
"other_transaction_fees": 0,
"other": 0,
"total": 12.01,
"seller_name": "AZHPUS",
"marketplace": "美国",
"currency_code": "USD",
"small_image_url": "http://ecx.images-amazon.com/images/I/41XalkKZHAL._SL75_.jpg",
"asin_url": "https://www.amazon.com/dp/B07H2FY6SS",
"asin": "B07H2FY6SS",
"local_sku": "GEBH081AB",
"local_name": "蓝牙FM发射器",
"category_text": "音频转换",
"product_brand_text": "GE",
"icon": "$"
}
]
}